pro plotpol,nlev,dir,str1,str2,labpin,xmarg,ymarg,xtitl,ytitl,rmaxi,d,$
            wvoigta,wgaussa,ngwidth,ilab,chars

;nx=299
nx=299
;nx=203

;dir='../'+'run0104/'

file1=strcompress(dir+'eI'+str2+'.dat')
file2=strcompress(dir+'eQ'+str2+'.dat')
file3=strcompress(dir+'eU'+str2+'.dat')
file4=strcompress(dir+'eV'+str2+'.dat')
print,'file1',file1
nx2=299
n1=(nx-nx2)/2
n2=nx-n1-1
readdat,file1,nx2,tmp
datai=fltarr(nx,nx)
datai(n1:n2,n1:n2)=tmp
readdat,file2,nx2,tmp
dataq=fltarr(nx,nx)
dataq(n1:n2,n1:n2)=tmp
readdat,file3,nx2,tmp
datau=fltarr(nx,nx)
datau(n1:n2,n1:n2)=tmp
readdat,file4,nx2,tmp
datav=fltarr(nx,nx)
datav(n1:n2,n1:n2)=tmp

ang=0.
;ang=135.
;datai=rot(datai,ang,/interp,missing=0)
;dataq=rot(dataq,ang,/interp,missing=0)
;datau=rot(datau,ang,/interp,missing=0)
;datav=rot(datav,ang,/interp,missing=0)

;psig=psig1

;test
;datai=smooth(datai,25)
;dataq=smooth(dataq,25)
;datau=smooth(datau,25)
;datav=smooth(datav,25)

print, 'assuming rmaxi= ',rmaxi,'AU'
pixsize=2.*rmaxi/nx2
print,'pixel size is then ',pixsize, 'AU'

;FWHM in pixels
wgauss=wgaussa/pixsize*d
print,'gauss width in pixels ',wgauss
vwide=ngwidth*wgauss
wvoigt=wvoigta
if vwide gt nx then vwide=nx
psf = psf_voigt_2d(vwide,wvoigt,wgauss)
psf=psf/total(psf)

datai=convolve(datai,psf,FT_PSF=psf_FT)
dataq=convolve(dataq,psf,FT_PSF=psf_FT)
datau=convolve(datau,psf,FT_PSF=psf_FT)
datav=convolve(datav,psf,FT_PSF=psf_FT)

;old
;tmp=fltarr(nx+2*vwide,nx+2*vwide)
;tmp(vwide:nx+vwide-1,vwide:nx+vwide-1)=datai
;tmp=convol(tmp,psf)
;datai=tmp(vwide:nx+vwide-1,vwide:nx+vwide-1)
;tmp(vwide:nx+vwide-1,vwide:nx+vwide-1)=dataq
;tmp=convol(tmp,psf)
;dataq=tmp(vwide:nx+vwide-1,vwide:nx+vwide-1)
;tmp(vwide:nx+vwide-1,vwide:nx+vwide-1)=datau
;tmp=convol(tmp,psf)
;datau=tmp(vwide:nx+vwide-1,vwide:nx+vwide-1)
;tmp(vwide:nx+vwide-1,vwide:nx+vwide-1)=datav
;tmp=convol(tmp,psf)
;datav=tmp(vwide:nx+vwide-1,vwide:nx+vwide-1)

;datai=convol(datai,psf,/edge_wrap)
;dataq=convol(dataq,psf,/edge_wrap)
;datau=convol(datau,psf,/edge_wrap)
;datav=convol(datav,psf,/edge_wrap)

;data1=smooth(datai,4)
data1=datai

npol=(nx/13)
;npol=nx/7
data2=rebin(data1,npol,npol)
datai2=rebin(datai,npol,npol)
dataq2=rebin(dataq,npol,npol)
datau2=rebin(datau,npol,npol)
;data2=congrid(data1,npol,npol,/interp)
;datai2=congrid(datai,npol,npol,/interp)
;dataq2=congrid(dataq,npol,npol,/interp)
;datau2=congrid(datau,npol,npol,/interp)

maxv=max(data1)
;half-mag intervals
;levarr=psig1*10^(.2*findgen(5))
;1-mag intervals
;levarr=psig1*10^(.4*findgen(5))
;print,2.5*(alog10(levarr))
;levarr=maxv*[0.08,0.1,0.15,0.2,0.3,0.4,0.5,0.6,0.7,0.8,0.9]
levarr=maxv*10^(-.2*findgen(nlev))
levarr=reverse(levarr)
psig=levarr(0)
p=fltarr(npol,npol)
thet=fltarr(npol,npol)

;pi=3.14159265

rmaxe=rmaxi*float(nx)/float(nx2)

ijmid=fix(npol/2)+1
ppix=2.*rmaxe/npol/140.
ap2=(5)^2  ;square of aperture
itot=0.
qtot=0.
utot=0.

for i=0,npol-1 do begin
for j=0,npol-1 do begin
rad2=((i-ijmid)^2+(j-ijmid)^2)*ppix
if (rad2 lt ap2) then begin
  itot=itot+datai2(i,j)
  qtot=qtot+dataq2(i,j)
  utot=utot+datau2(i,j)
;  print,i,j,npol
endif
if (datai2(i,j) gt 1.e-15) then p(i,j)=sqrt(dataq2(i,j)^2+datau2(i,j)^2)/datai2(i,j)
if (abs(dataq2(i,j)) gt 1.e-20) then thet(i,j)=0.5*atan(datau2(i,j),dataq2(i,j))
thet(i,j) = thet(i,j)+ang*!pi/180.
;if (thet(i,j) lt 0) then thet(i,j)=thet(i,j)+3.14159265
if (thet(i,j) gt !pi) then thet(i,j) = thet(i,j) - !pi
endfor
endfor

ptot=sqrt(qtot^2+utot^2)/itot
ttot=0.5*atan(utot,qtot)*180./!pi
print,'Lp, PA ',ptot,ttot
print,'in aperture ',sqrt(ap2)

half=fix(nx/2)
x=pixsize*(findgen(nx)-half)
y=pixsize*(findgen(nx)-half)

prmax=rmaxi
contour,data1,x,y,levels=levarr,xrange=[-prmax,prmax],yrange=[-prmax,prmax],$
xticks=4,yticks=4,$
xstyle=1,ystyle=1,$
title=str1,xtitle=xtitl,ytitle=ytitl,$
charsize=chars,charthick=2,xmargin=xmarg,ymargin=ymarg,$
xminor=4,yminor=4,xthick=1,ythick=1,/nodata
contour,data1,x,y,levels=levarr,/overplot,$
color=100

half=fix(npol/2)
pixsizepol=float(nx)/float(npol)*pixsize
xpol=pixsizepol*(findgen(npol)-half)
ypol=pixsizepol*(findgen(npol)-half)

const2=2.
pcount=0
tcount=0
pmax=0
for i=0,npol-1 do begin
for j=0,npol-1 do begin
  j2=j
  i2=i
  if(data2(i2,j2) gt psig and p(i2,j2) ge 1.) then pcount=pcount+1
  if(data2(i2,j2) gt psig) then tcount=tcount+1
  if(data2(i2,j2) gt psig and p(i2,j2) le 1.) then begin
  if p(i2,j2) gt pmax then pmax=p(i2,j2)
  c1=sin(1.*(thet(i2,j2)))
  c2=cos(1.*(thet(i2,j2)))
  xmin=-p(i2,j2)*c1*const2
  xmax=p(i2,j2)*c1*const2
  ymin=-p(i2,j2)*c2*const2
  ymax=p(i2,j2)*c2*const2
  usersym,[xmin,xmax],[ymin,ymax],thick=2
;  usersym,[-.707,.707],[-.707,.707]
  plots,xpol(i2),ypol(j2),psym=8,$
;  color=31,$
  thick=10
  endif
endfor
endfor
print,'fraction of data points with P>100%',float(pcount)/float(tcount)

if ilab eq 1 then begin
   phey=const2*.5
   usersym,[-phey,phey],[2,2]
;   plots,.63*prmax,0.76*prmax,psym=8,$
   plots,1.2*prmax,0.76*prmax,psym=8,$
   thick=5
;   xyouts,.68*prmax,.8*prmax,'50%',charthick=2,charsize=1.
   xyouts,1.25*prmax,.8*prmax,'50%',charthick=2,charsize=1.
   labp='Pnet='+labpin
;   xyouts,.35*prmax,-.92*prmax,labp,charthick=2,charsize=.75
   pmax=fix(100*pmax)
;   labpm=strcompress('Pmax='+string(pmax)+'%',/remove_all)
;   xyouts,-.92*prmax,-.92*prmax,labpm,charthick=2,charsize=.75
endif

;write_gif,'plot.gif',tvrd()

end

